cURL
curl --request GET \
--url https://api.abusix.com/beta/guardian-ops/tenants/{tenantId}/customers/{customerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.abusix.com/beta/guardian-ops/tenants/{tenantId}/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.abusix.com/beta/guardian-ops/tenants/{tenantId}/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract_count": 123,
"customer_id": "<string>",
"event_types": [
"<string>"
],
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"tenant_id": "<string>",
"total_events": 123,
"description": "<string>"
}This response has no body data.This response has no body data.This response has no body data.Customers
Get customer
GET
/
beta
/
guardian-ops
/
tenants
/
{tenantId}
/
customers
/
{customerId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 response
Number of contracts
Customer identifier
Types of events for this customer
First seen timestamp
Last seen timestamp
Tenant identifier
Total number of events
Customer description
⌘I